umbrello: UMLDatatypeWidget Class Reference

umbrello 25.04.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Signals | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
UMLDatatypeWidget Class Reference

`#include <umldatatypewidget.h>`

Inheritance diagram for UMLDatatypeWidget:

## Signals
void | editTextChanged (const QString &)

## Public Member Functions
| UMLDatatypeWidget (UMLAttribute *attribute, QWidget *parent=nullptr)
| UMLDatatypeWidget (UMLClassifierListItem *datatype, QWidget *parent=nullptr)
| UMLDatatypeWidget (UMLEntityAttribute *entityAttribute, QWidget *parent=nullptr)
| UMLDatatypeWidget (UMLOperation *operation, QWidget *parent=nullptr)
| UMLDatatypeWidget (UMLTemplate *_template, QWidget *parent=nullptr)
bool | apply ()
void | reset ()
Public Member Functions inherited from ComboBoxWidgetBase
| ComboBoxWidgetBase (const QString &title, const QString &postLabel=QString(), QWidget *parent=nullptr)
void | addToLayout (QGridLayout *layout, int row, int startColumn=0)
KComboBox * | editField ()

## Protected Member Functions
void | init ()
bool | applyAttribute ()
bool | applyEntityAttribute ()
bool | applyOperation ()
bool | applyParameter ()
bool | applyTemplate ()
void | initTypesBox (QStringList &types, const QString &type)
void | insertTypesFromConcepts (QStringList &types, bool fullName=true)
void | insertTypesFromDatatypes (QStringList &types)
void | insertTypesSortedAttribute (const QString &type)
void | insertTypesSortedEntityAttribute (const QString &type)
void | insertTypesSortedOperation (const QString &type)
void | insertTypesSortedParameter (const QString &type)
void | insertTypesSortedTemplate (const QString &type)

## Protected Attributes
UMLAttribute * | m_attribute
UMLClassifierListItem * | m_datatype
UMLEntityAttribute * | m_entityAttribute
UMLOperation * | m_operation
UMLTemplate * | m_template
UMLClassifier * | m_parent
Protected Attributes inherited from ComboBoxWidgetBase
QLabel * | m_label
QLabel * | m_postLabel
KComboBox * | m_editField

## Constructor & Destructor Documentation

## ◆ UMLDatatypeWidget() [1/5]

UMLDatatypeWidget::UMLDatatypeWidget | ( | UMLAttribute * | attribute,
|  | QWidget * | parent = nullptr )

## ◆ UMLDatatypeWidget() [2/5]

UMLDatatypeWidget::UMLDatatypeWidget | ( | UMLClassifierListItem * | datatype,
|  | QWidget * | parent = nullptr )

## ◆ UMLDatatypeWidget() [3/5]

UMLDatatypeWidget::UMLDatatypeWidget | ( | UMLEntityAttribute * | entityAttribute,
|  | QWidget * | parent = nullptr )

## ◆ UMLDatatypeWidget() [4/5]

UMLDatatypeWidget::UMLDatatypeWidget | ( | UMLOperation * | operation,
|  | QWidget * | parent = nullptr )

## ◆ UMLDatatypeWidget() [5/5]

UMLDatatypeWidget::UMLDatatypeWidget | ( | UMLTemplate * | _template,
|  | QWidget * | parent = nullptr )

## Member Function Documentation

## ◆ apply()

bool UMLDatatypeWidget::apply | ( |  | ) |

## ◆ applyAttribute()

bool UMLDatatypeWidget::applyAttribute | ( |  | ) |
| protected

## ◆ applyEntityAttribute()

bool UMLDatatypeWidget::applyEntityAttribute | ( |  | ) |
| protected

## ◆ applyOperation()

bool UMLDatatypeWidget::applyOperation | ( |  | ) |
| protected

## ◆ applyParameter()

bool UMLDatatypeWidget::applyParameter | ( |  | ) |
| protected

## ◆ applyTemplate()

bool UMLDatatypeWidget::applyTemplate | ( |  | ) |
| protected

## ◆ editTextChanged

void UMLDatatypeWidget::editTextChanged | ( | const QString & |  | ) |
| signal

## ◆ init()

void UMLDatatypeWidget::init | ( |  | ) |
| protected

## ◆ initTypesBox()

void UMLDatatypeWidget::initTypesBox | ( | QStringList & | types,
|  | const QString & | type )
| protected

Initialize types combo box from a list of types and a selected type.

Parameters

  types | list of types to add to combo box
  type | selected type

## ◆ insertTypesFromConcepts()

void UMLDatatypeWidget::insertTypesFromConcepts | ( | QStringList & | types,
|  | bool | fullName = true )
| protected

Add classes and interfaces from document instance to the given string list.

Parameters

  types | list to store the classes and interfaces
  fullName | if true then insert names including their package path

## ◆ insertTypesFromDatatypes()

void UMLDatatypeWidget::insertTypesFromDatatypes | ( | QStringList & | types | ) |
| protected

Add datatypes from document instance to the given string list.

Parameters

  types | list to store the datatypes

## ◆ insertTypesSortedAttribute()

void UMLDatatypeWidget::insertTypesSortedAttribute | ( | const QString & | type | ) |
| protected

Inserts `type` into the type-combobox as well as its completion object. The combobox is cleared and all types together with the optional new one sorted and then added again.

Parameters

  type | a new type to add

## ◆ insertTypesSortedEntityAttribute()

void UMLDatatypeWidget::insertTypesSortedEntityAttribute | ( | const QString & | type | ) |
| protected

Inserts `type` into the type-combobox as well as its completion object.

## ◆ insertTypesSortedOperation()

void UMLDatatypeWidget::insertTypesSortedOperation | ( | const QString & | type | ) |
| protected

Inserts `type` into the type-combobox. The combobox is cleared and all types together with the optional new one sorted and then added again.

Parameters

  type | a new type to add and selected

## ◆ insertTypesSortedParameter()

void UMLDatatypeWidget::insertTypesSortedParameter | ( | const QString & | type | ) |
| protected

Inserts `type` into the type-combobox as well as its completion object. The combobox is cleared and all types together with the optional new one sorted and then added again.

Parameters

  type | a new type to add and selected

## ◆ insertTypesSortedTemplate()

void UMLDatatypeWidget::insertTypesSortedTemplate | ( | const QString & | type | ) |
| protected

Inserts `type` into the type-combobox. The combobox is cleared and all types together with the optional new one sorted and then added again.

Parameters

  type | a new type to add and selected

## ◆ reset()

void UMLDatatypeWidget::reset | ( |  | ) |

## Member Data Documentation

## ◆ m_attribute

UMLAttribute* UMLDatatypeWidget::m_attribute
| protected

## ◆ m_datatype

UMLClassifierListItem* UMLDatatypeWidget::m_datatype
| protected

## ◆ m_entityAttribute

UMLEntityAttribute* UMLDatatypeWidget::m_entityAttribute
| protected

## ◆ m_operation

UMLOperation* UMLDatatypeWidget::m_operation
| protected

## ◆ m_parent

UMLClassifier* UMLDatatypeWidget::m_parent
| protected

## ◆ m_template

UMLTemplate* UMLDatatypeWidget::m_template
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/widgets/umldatatypewidget.h
- umbrello/dialogs/widgets/umldatatypewidget.cpp